package cn.kk.spring_simple_operation.service;

import cn.kk.spring_simple_operation.entity.APlusProduct;
import cn.kk.spring_simple_operation.model.dto.SkuPeopleNameDto;
import cn.kk.spring_simple_operation.model.vo.APlusPlanNoHandlerVo;
import cn.kk.spring_simple_operation.model.vo.PublishInfoVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * A+产品 服务类
 * </p>
 *
 * @author guokunkun
 * @since 2025-03-18
 */
public interface APlusProductService extends IService<APlusProduct> {

	List<String> getRelatedProduct(List<String> list);

	void setAPlusProductUploadInfo(List<SkuPeopleNameDto> list);

	List<PublishInfoVo> exportAPlusPublishData();

	List<APlusPlanNoHandlerVo> exportAPlusPlanNoHandlerData();
}
